/url-meta
POST
/url-meta
const url = 'https://api.quantcdn.io/v1/url-meta';const options = { method: 'POST', headers: { 'Quant-Customer': 'example', 'Quant-Project': 'example', 'Quant-Token': '<Quant-Token>', 'Content-Type': 'application/json' }, body: '{"Quant-Url":["/home","/css/styles.css","/contact-us"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.quantcdn.io/v1/url-meta \ --header 'Content-Type: application/json' \ --header 'Quant-Customer: example' \ --header 'Quant-Project: example' \ --header 'Quant-Token: <Quant-Token>' \ --data '{ "Quant-Url": [ "/home", "/css/styles.css", "/contact-us" ] }'Returns a list of assets by query
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Quant-Customer
required
string
The customer account name
Quant-Project
required
string
The project machine name
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Quant-Url
required
List of URLs to retrieve meta for.
Array
Example
[ "/home", "/css/styles.css", "/contact-us"]Responses
Section titled “Responses”Okay
Media typeapplication/json
object
global_meta
object
records
Array
object
last_modified
Last modified date
string
meta
object
url
The relative URL of the asset
string
type
The type of asset
string
seq_num
The sequence number
integer
published
If the asset is published
boolean
published_revision
The identifier for the published revision
integer
published_md5
Unique hash of the asset
string
byte_length
Content length of the asset
integer
revision_count
The number of revisions that have been added
integer
highest_revision_number
The latest revision id
integer
deleted
If the underlying file for this revision has been deleted
boolean
deleted_timestamp
The time the file was deleted
integer
md5
The file MD5
string
revision_number
The revision number
integer
date_timestamp
Unix timestamp
integer
Examplegenerated
{ "global_meta": { "records": [ { "last_modified": "example", "meta": { "url": "example", "type": "example", "seq_num": 1, "published": true, "published_revision": 1, "published_md5": "example", "byte_length": 1, "revision_count": 1, "highest_revision_number": 1, "deleted": true, "deleted_timestamp": 1, "md5": "example", "revision_number": 1, "date_timestamp": 1 } } ] }}Noop
